| Home | Libraries | People | FAQ | More

## Class template checked_observer

boost::numeric::odeint::checked_observer — Adapter to combine observer and checker.

## Synopsis

    // In header: <boost/numeric/odeint/integrate/check_adapter.hpp>

    template<typename Observer, typename Checker>
    class checked_observer {
    public:
      // types
      typedef Observer observer_type;
      typedef Checker  checker_type;

      // construct/copy/destruct
      checked_observer(observer_type &, checker_type &);

      // public member functions
      template<typename State, typename Time>
        void operator()(const State &, Time) const;
    };

## Description

### `checked_observer` public construct/copy/destruct

1.     checked_observer(observer_type & observer, checker_type & checker);

### `checked_observer` public member functions

1.     template<typename State, typename Time>
         void operator()(const State & state, Time t) const;